Current employee's pay home: YTD totals + payslips
curl --request GET \
--url https://app.ontime.hosai.app/api/pay/me \
--header 'Authorization: Bearer <token>'import requests
url = "https://app.ontime.hosai.app/api/pay/me"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://app.ontime.hosai.app/api/pay/me', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"fyYear": 0,
"fyLabel": "<string>",
"ytd": {
"net": 0,
"gross": 0,
"tax": 0,
"ot": 0
},
"latest": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"employeeId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"period": "<string>",
"periodLabel": "<string>",
"gross": 0,
"totalDeductions": 0,
"net": 0,
"creditedDate": "<string>",
"bankName": "<string>",
"bankAccountLast4": "<string>"
},
"earlier": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"employeeId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"period": "<string>",
"periodLabel": "<string>",
"gross": 0,
"totalDeductions": 0,
"net": 0,
"creditedDate": "<string>",
"bankName": "<string>",
"bankAccountLast4": "<string>"
}
]
}Pay
Current employee's pay home: YTD totals + payslips
Current employee’s pay home: YTD totals + payslips
GET
/
api
/
pay
/
me
Current employee's pay home: YTD totals + payslips
Authorizations
Issue keys in Settings → API. Send them as Authorization: Bearer ont_… (an X-Api-Key: ont_… header is also accepted). Session-cookie routes are used by the OnTime web apps and are shown for completeness.
⌘I